Contents Previous Next

## 3.7 Compiling PHP 4

This is not meant to be a complete discussion about configuring or compiling PHP. It is meant as an example of a configuration of PHP that is known to work well with JpGraph.

Below is an example of a standard configuration that can be used to configure and compile PHP for use with the JpGraph Library

Please note that depending on the specific installation requirements other options might have to be specified, specifically the paths to external libraries might need to be adjusted.

    ./configure --prefix=/usr/share \
    --datadir=/usr/share/php \
    --with-apxs=/usr/sbin/apxs \
    --libdir=/usr/share \
    --includedir=/usr/include \
    --bindir=/usr/bin \
    --with-config-file-path=/etc \
    --enable-mbstring --enable-mbregex \
    --with-pdflib=/usr \
    --with-mysql  \
    --with-ttf-dir=/usr/lib \
    --with-freetype-dir=/usr/lib \
    --with-gd --enable-gd-imgstrttf --enable-gd-native-ttf \
    --with-zlib-dir=/usr/lib \
    --with-png-dir=/usr/lib --with-jpeg-dir=/usr/lib --with-xpm-dir=/usr/X11R6 \
    --with-tiff-dir=/usr/lib \
    --enable-ftp \
    --enable-memory-limit --enable-safe-mode \
    --bindir=/usr/bin \
    --enable-bcmath -enable-calendar \
    --enable-ctype --with-ftp \
    --enable-magic-quotes \
    --enable-inline-optimization \
    --with-bz2 \
    --with-iconv

Contents Previous Next